.button-new-location {
  height: calc(100vh - 48px);
  overflow-y: auto;
  margin-top: 3rem;
  &-map {
    border-radius: rem(8px);
    height: 100vh;
    border-radius: 0.5rem;
    margin-left: auto;
    margin-right: auto;
  }
  &__content {
    height: 100%;
    border: none;
    padding: 0;
    width: 100%;
    background: none;
    margin-left: auto;
    margin-right: auto;
    &:focus {
      outline: none;
    }
  }
  &__close-container {
    height: 100%;
    position: absolute;
    top: -5vh;
    z-index: 1;
    width: 100%;
    border: none;
    background: none;
    padding: 0;
  }
  &__content-scroll {
    background: none;
    border: none;
    padding: 0;
    width: 100%;
    height: 100%;
    &:focus {
      outline: none;
    }
  }
  &__body {
    background: $color-ligth-gray;
    border-radius: 0 0 .5rem .5rem;
    max-width: rem(500px);
    &--small-height {
      & .button-new-location__text {
        font-size: 1.3rem;
        margin-bottom: 2rem;
      }
    }
    &-svg-image {
      height: 100%;
      width: 100%;
      max-width: rem(350px);
      max-height: rem(350px);
    }
    &-svg-container {
      min-height: rem(100px);
      text-align: center;
      display: flex;
      justify-content: center;
      align-items: flex-end;
      background: $color-ligth-gray;
    }
  }
  &__radio-icons {
    width: 100%;
    height: 100%;
    &--filled {
      fill: white;
    }
  }
  &__radio-buttons {
    background: white;
    background-size: 40px;
    color: $dark;
    align-items: center;
    border: 4px;
    display: flex;
    font-size: .85rem;
    padding: 1.5rem 2rem;
    position: relative;
    transition: background .2s;
    width: 100%;
    &--filled {
      background: $dark;
      padding-right: 3.125rem;
      background-size: 40px;
      color: #fff;
    }
  }
  &__text {
    font-size: 0.85rem;
    margin-bottom: 1rem;
    text-align: left;
  }
  &__buttons {
    margin-left: auto;
    margin-right: auto;
    margin-top: 1rem;
  }
  &__button-outline {
    outline: none !important;
  }
  &__next-step-btn {
    max-height: rem(68px);
    height: rem(68px);
    line-height: 100%;
    padding: 0;
  }
  &__map {
    width: 100%;
    position: absolute;
    top: rem(48px);
    height: calc(100% - 48px - 68px);
    &-search-bar {
      height: rem(48px);
      min-height: rem(50px);
      z-index: 1001;
      position: relative;
      margin-left: auto;
      margin-right: auto;
      width: 50%;
      min-width: rem(200px);
      top: rem(65px);
      & input {
        border: rem(1px) solid $dark;
        height: rem(48px);
      }
    }
    &-buttons {
      background: $primary;
      position: absolute;
      width: 100%;
      z-index: 1001;
      top: calc(100% - 68px);
      display: flex;
      border-radius: 0 0 .5rem .5rem;
      & > button {
        width: 50%;
        height: 100%;
        &:first-child {
          border-radius: 0 0 0 .5rem;
        }
        &:last-child {
          border-radius: 0 0 .5rem 0;
        }
      }
    }
    &-left-button {
      line-height: 100%;
      position: absolute;
      right: 0px;
    }
    &-loading-location-text {
      text-align: center;
      width: 100%;
      font-size: 1.2rem;
      margin-top: rem(50px)
    }
  }
  &__loading-spinner, &__loading-spinner * {
    display: inline;
    & .loading-overlay__loading-icon {
      margin-top: 0;
    }
  }
}


@media screen and (min-width: 992px) {
  .button-new-location {
    height: calc(90vh - 48px);
    max-height: calc(700px - 48px);
    &-map {
      max-width: rem(500px);
      height: 90vh;
    }
    &__content-has-scroll {
      margin-left: calc((100vw - 500px) / 2);
      display: block;
    }
    &__content {
      position: relative;
      z-index: 50;
      border-radius: 0 0 .5rem .5rem;
      max-width: rem(500px);
    }
    &__next-step-btn {
      border-radius: 0 0 .5rem .5rem;
    }
    &__map {
      height: calc(90vh - 48px - 68px);
      max-width: rem(500px);
      max-height: calc(700px - 48px - 68px);
      &-buttons {
        top: calc(700px - 68px);
        max-width: 500px;
      }
    }
  }
}

@media screen and (min-height: 780px) {
  .button-new-location {
    &__map {
      &-buttons {
      }
    }
  }
}
